Bug 444453 - links or text writing fields in flash rendering area are broken with konqueror
links or text writing fields in flash rendering area are broken with konqueror
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 10:38 EDT by Juha Tuomala
Modified: 2009-06-10 06:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 20:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 161375 None None None Never

  None (edit)
Description Juha Tuomala 2008-04-28 10:38:38 EDT
Description of problem:

I've Adobe's flash player/plugin installed from
their yum repository and my system is up2date.

When watching a youtube video, it draws some buttons
and links to it's business area at the end which 
used to work with konqueror and and still 
work with firefox.

Well, the problem is that those links do not work 
with konqueror anymore.

A another problematic example is just some flash
apps like http://www.navirec.ee/flash/navirec/ where
you're supposed to be able to log in with 'demo' + 'demo'
pair. You can't write anything into login dialog with 
konqueror, but with firefox you can. 

I've a feeling that these two are symptoms of same bug.

Version-Release number of selected component (if applicable):

kdebase-3.5.9-7.fc8

How reproducible:

Always

Steps to Reproduce:

1. open a video in youtube
2. let it end
3. try to click some of the icons/buttons in video drawing area

1. konqueror http://www.navirec.ee/flash/navirec/
2. try to write 'demo' into user field.
3. 
  
Additional info:

Note that the mouse over object is detected but clicks just don't do anything.
Try the same with firefox and it works. 
My box is x86_64, running nspluginwrapper.i386 and related mess.
Comment 1 Rex Dieter 2008-04-28 10:41:53 EDT
It's highly likely something to do with nsplugin/javascript integration.

Regardless, this would be much better served reporting upstream to 
bugs.kde.org.
Comment 2 Bug Zapper 2008-11-26 05:35:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:29:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kevin Kofler 2009-06-09 20:37:13 EDT
The upstream bug got closed as WORKSFORME, so I'm going to do the same here. (As I don't use Flash myself, I have no idea what fixed it, maybe a new Konqueror, maybe a new Flash.) Feel free to reopen the bug if you can reproduce it on F10, F11 or Rawhide.
Comment 5 Juha Tuomala 2009-06-10 06:07:46 EDT
confirmed, it works now in f10.

Note You need to log in before you can comment on or make changes to this bug.